### Method

# Gtk Widgetcompute_point

#### Declaration [src]

    gboolean
    gtk_widget_compute_point (
      GtkWidget* widget,
      GtkWidget* target,
      const graphene_point_t* point,
      graphene_point_t* out_point
    )

#### Description [src]

Translates the given `point` in `widget`‘s coordinates to coordinates relative to `target`’s coordinate system.

In order to perform this operation, both widgets must share a common ancestor.

#### Parameters

`target`

  Type: `GtkWidget`

  The `GtkWidget` to transform into.

  The data is owned by the caller of the method.

`point`

  Type: `graphene_point_t`

  A point in `widget`‘s coordinate system.

  The data is owned by the caller of the method.

`out_point`

  Type: `graphene_point_t`

  Set to the corresponding coordinates in `target`‘s coordinate system.

  The argument will be set by the function.
  The data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the point could be determined, `FALSE` on failure. In this case, 0 is stored in `out_point`.